Intel® Quark™ Microcontroller Software Interface 1.4.0 Intel® Quark™ Microcontroller BSP

- Main Page
- Modules
- Data Structures
- Files

Typedefs | Functions
SS Interrupt

Interrupt driver for Sensor Subsystem. More...

## Typedefs
typedef void(* | qm_ss_isr_t )(struct interrupt_frame *frame)
| Interrupt service routine type.

## Functions
void | qm_ss_irq_enable (void)
| Enable interrupt delivery for the Sensor Subsystem.
void | qm_ss_irq_disable (void)
| Disable interrupt delivery for the Sensor Subsystem.
void | qm_ss_irq_unmask (uint32_t irq)
| Unmask a given interrupt line. More...
void | qm_ss_irq_mask (uint32_t irq)
| Mask a given interrupt line. More...
void | qm_ss_irq_request (uint32_t irq, qm_ss_isr_t isr)
| Request a given IRQ and register ISR to interrupt vector. More...
void | qm_ss_int_vector_request (uint32_t vector, qm_ss_isr_t isr)
| Register an Interrupt Service Routine to a given interrupt vector. More...

## Detailed Description

Interrupt driver for Sensor Subsystem.

## Function Documentation

void qm_ss_int_vector_request | ( | uint32_t | vector,
|  | qm_ss_isr_t | isr
| ) |  |

Register an Interrupt Service Routine to a given interrupt vector.

Parameters

  [in] | vector | Interrupt Vector number.
  [in] | isr | ISR to register to given vector. Must be a valid Sensor Subsystem ISR.

Definition at line 42 of file qm_ss_interrupt.c.

Referenced by qm_ss_irq_request().

void qm_ss_irq_mask | ( | uint32_t | irq | ) |

Mask a given interrupt line.

Parameters

  [in] | irq | Which IRQ to mask.

Definition at line 30 of file qm_ss_interrupt.c.

Referenced by qm_irq_mask(), and qm_ss_irq_request().

void qm_ss_irq_request | ( | uint32_t | irq,
|  | qm_ss_isr_t | isr
| ) |  |

Request a given IRQ and register ISR to interrupt vector.

Parameters

  [in] | irq | IRQ number.
  [in] | isr | ISR to register to given IRQ.

Definition at line 57 of file qm_ss_interrupt.c.

References qm_ss_int_vector_request(), qm_ss_irq_mask(), and qm_ss_irq_unmask().

void qm_ss_irq_unmask | ( | uint32_t | irq | ) |

Unmask a given interrupt line.

Parameters

  [in] | irq | Which IRQ to unmask.

Definition at line 36 of file qm_ss_interrupt.c.

Referenced by qm_irq_unmask(), and qm_ss_irq_request().